TiffProfileDLF (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class TiffProfileDLF

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
          edu.harvard.hul.ois.jhove.module.tiff.TiffProfileDLF

Direct Known Subclasses:
  TiffProfileDLFBW, TiffProfileDLFColor, TiffProfileDLFGray

    public abstract class TiffProfileDLF

extends TiffProfile

Abstract superclass for the profile checkers for TIFF/DLF

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
`_mimeClass, _profileText, MIME_1314, MIME_FX, MIME_GENERIC`

Constructor Summary
`TiffProfileDLF()`

Method Summary
`protected boolean` | `hasMinimumResolution(TiffIFD tifd, double minUnit2Res, double minUnit3Res)` Checks for minimum X and Y resolution.
`boolean` | `satisfiesThisProfile(IFD ifd)` Returns true if the IFD satisfies the requirements that are common to the bilevel, grayscale, and color DLF profiles.

Methods inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
`getMimeClass, getText, isAlreadyOK, satisfiesBackgroundColorIndicator, satisfiesBackgroundColorIndicator, satisfiesCompression, satisfiesCompression, satisfiesDotRange, satisfiesFillOrder, satisfiesImageColorIndicator, satisfiesImageColorIndicator, satisfiesImageWidth, satisfiesIndexed, satisfiesNewSubfileType, satisfiesNewSubfileType, satisfiesOrientation, satisfiesOrientation, satisfiesPhotometricInterpretation, satisfiesPhotometricInterpretation, satisfiesPlanarConfiguration, satisfiesPlanarConfiguration, satisfiesProfile, satisfiesResolutionUnit, satisfiesResolutionUnit, satisfiesSamplesPerPixel, satisfiesSamplesPerPixel, satisfiesXResolution, satisfiesYResolution, setAlreadyOK`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TiffProfileDLF

    public TiffProfileDLF()

Method Detail

### satisfiesThisProfile

    public boolean satisfiesThisProfile(IFD ifd)

  Returns true if the IFD satisfies the requirements that are common to the bilevel, grayscale, and color DLF profiles. The subclasses should call super(ifd) first, then do additional checking if it returns true. details.

  Specified by:
    `satisfiesThisProfile` in class `TiffProfile`

### hasMinimumResolution

    protected boolean hasMinimumResolution(TiffIFD tifd,
                                           double minUnit2Res,
                                           double minUnit3Res)

  Checks for minimum X and Y resolution. All of the DLF profiles have similar tests for XResolution and YResolution. In all cases the values depend on the ResolutionUnit, which must be either 2 or 3.

  Parameters:
    `tifd` - The TiffIFD from which to extract the tags.
    `minUnit2Res` - The minimum XResolution and YResolution when ResolutionUnit is 2
    `minUnit3Res` - The minimum XResolution and YResolution when ResolutionUnit is 3

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD